package com.willalp.canteen.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.canteen.domain.HsCanteenOrderDetail;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class UsableOrderResp {

    private String orderNumber;

    private String userNumber;

    private String nickName;

    private BigDecimal orderTotal;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date paytime;

    private String jgid;

    private Integer periodId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date useDate;

    List<HsCanteenOrderDetail> details;

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(String userNumber) {
        this.userNumber = userNumber;
    }

    public BigDecimal getOrderTotal() {
        return orderTotal;
    }

    public void setOrderTotal(BigDecimal orderTotal) {
        this.orderTotal = orderTotal;
    }

    public Date getPaytime() {
        return paytime;
    }

    public void setPaytime(Date paytime) {
        this.paytime = paytime;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public Integer getPeriodId() {
        return periodId;
    }

    public void setPeriodId(Integer periodId) {
        this.periodId = periodId;
    }

    public Date getUseDate() {
        return useDate;
    }

    public void setUseDate(Date useDate) {
        this.useDate = useDate;
    }

    public List<HsCanteenOrderDetail> getDetails() {
        return details;
    }

    public void setDetails(List<HsCanteenOrderDetail> details) {
        this.details = details;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }
}
